<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <title>Example</title>
</head>
<body>
  <main class="container">
    <section>
      <!-- Process-specific content -->
      {{ .Content }}
      <!-- Process-specific content ./end-->
      <hr>
      <div class="row">
        <!-- Steps -->
        {{ $processId := .Params.id }}
        {{ range where .Site.Pages ".Params.process" $processId }}
          <article class="col-md-4">
            {{ $page := .Site.GetPage "/media" }}
            {{ $id := .Params.id }}
            <!-- Not working code example (issue) -->
            {{/* $resource := $page.Resources.GetMatch (printf "%s" $id) */}}
            <!-- Working (hard-coded) -->
            {{ $resource := $page.Resources.GetMatch "1" }}
            <img class="img-fluid" src="{{ $resource.RelPermalink }}" alt="{{ $resource.Title }}">
            <h3>{{ .Title }}</h3>
            {{ .Content }}
          </article>
          <hr>
        {{ end }}
        <!-- Steps ./end-->
      </div>
    </section>
  </main>
</body>
</html>